This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 804941 - Powermangement is not working on HD4650 Mobility(M96)
Powermangement is not working on HD4650 Mobility(M96)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 05:16 EDT by Julian Rehborn
Modified: 2013-07-31 21:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:10:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output after changing to pm low and back (1.28 MB, image/jpeg)
2012-03-20 05:16 EDT, Julian Rehborn
no flags Details

  None (edit)
Description Julian Rehborn 2012-03-20 05:16:15 EDT
Created attachment 571324 [details]
Output after changing to pm low and back

Description of problem:
If I loading other profils then high, I get output failures. 
The clocks seem to be correct. At the attached picture you can see the output
failures at the middle of the picture.

Version-Release number of selected component (if applicable):
Samsung R522-Aura T6400 Satin
Driver Version: 6.14.3-4
Kernel: 3.2.10

How reproducible:


Steps to Reproduce:
1. Login as root
2. echo profile > /sys/class/drm/card0/device/power_method
3. echo low > /sys/class/drm/card0/device/power_profile or
echo mid > /sys/class/drm/card0/device/power_profile
  
Actual results:
Driver set current clock and voltage, but produce display corruptions and freeze.

Expected results:
No display corruptions and freeze


Additional info:
Comment 1 Julian Rehborn 2012-03-20 19:22:32 EDT
I upgraded to F17 and no changes with.


xorg-x11-drv-ati-6.14.3-11.20120206git36c190671.fc17

and

Kernel 3.3.0-1.fc17.x86_64
Comment 2 Julian Rehborn 2012-04-12 06:21:38 EDT
So here are the clocks and voltages the driver is set by the different profiles

#default profile
default engine clock: 600000 kHz
current engine clock: 599060 kHz
default memory clock: 800000 kHz
current memory clock: 796500 kHz
voltage: 1150 mV
PCIE lanes: 16

#mid profile
default engine clock: 600000 kHz
current engine clock: 299530 kHz
default memory clock: 800000 kHz
current memory clock: 249750 kHz
voltage: 900 mV
PCIE lanes: 16

#low profile
default engine clock: 600000 kHz
current engine clock: 219370 kHz
default memory clock: 800000 kHz
current memory clock: 249750 kHz
voltage: 900 mV
PCIE lanes: 16
Comment 3 Fedora End Of Life 2013-07-03 18:56:22 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 21:10:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.